Bug 20137 - the php updates are compiled without libgd.so.1.8 support
the php updates are compiled without libgd.so.1.8 support
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Dale Lovelace
:
: 21751 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 02:09 EST by mcosta2000@yahoo.com
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-05 18:57:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mcosta2000@yahoo.com 2000-11-01 02:09:24 EST
After using the updates (Security updates) for apache, php, mod_perl, 
auth_ldap (Oct 23 2000), the php binary does not have the gd library 
compiled in.

line from php script:    $im=imagecreateFromjpeg($x); 
errors received     :    /*Fatal error: Call to undefined function: 
                         imagecreatefromjpeg() in test.php4 on line 4 */  


any reason in particular for disabling the gd library support ?

Following is the output of "ldd" on "/usr/bin/php"

Version: php-4.0.1pl2-9   --> came with RedHat Linux 7
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x40020000)
        libpam.so.0 => /lib/libpam.so.0 (0x40026000)
        libdl.so.2 => /lib/libdl.so.2 (0x4002e000)
        libttf.so.2 => /usr/lib/libttf.so.2 (0x40031000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x40058000)
        libz.so.1 => /usr/lib/libz.so.1 (0x40077000)
        libpng.so.2 => /usr/lib/libpng.so.2 (0x40086000)
        libgd.so.1.8 => /usr/lib/libgd.so.1.8 (0x400a7000)
        libdb-3.1.so => /lib/libdb-3.1.so (0x400d8000)
        libdb.so.3 => /usr/lib/libdb.so.3 (0x40154000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x40192000)
        libm.so.6 => /lib/libm.so.6 (0x401a4000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x401c3000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x401f1000)
        libc.so.6 => /lib/libc.so.6 (0x40209000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

Version: php-4.0.3pl1-1   --> updated RPM from RedHat
        libpam.so.0 => /lib/libpam.so.0 (0x40023000)
        libdl.so.2 => /lib/libdl.so.2 (0x4002b000)
        libz.so.1 => /usr/lib/libz.so.1 (0x4002e000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x4003c000)
        libpng.so.2 => /usr/lib/libpng.so.2 (0x4005b000)
        libdb-3.1.so => /lib/libdb-3.1.so (0x4007c000)
        libdb.so.3 => /usr/lib/libdb.so.3 (0x400f9000)
        libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0x40137000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x4013d000)
        libm.so.6 => /lib/libm.so.6 (0x4014f000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x4016e000)
        libnsl.so.1 => /lib/libnsl.so.1 (0x4019c000)
        libttf.so.2 => /usr/lib/libttf.so.2 (0x401b3000)
        libc.so.6 => /lib/libc.so.6 (0x401da000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
Comment 1 Nalin Dahyabhai 2000-11-01 10:27:32 EST
It wasn't disabled (listed in the configure invocation, and listed as a build
prereq).  This bears investigation.
Comment 2 Nalin Dahyabhai 2000-11-01 13:43:24 EST
Please check if the packages in http://people.redhat.com/nalin/test/ fix this
problem.  Thanks!
Comment 3 mcosta2000@yahoo.com 2000-11-01 23:45:25 EST
I have checked the packages from  http://people.redhat.com/nalin/test/ 
The php binary now has link to the gd library and the calls to that library now
work.
Thanks for the solution.

Small issues:
  1. while updating the php-mysql-4.0.3pl1-2  package, it gives error:
error: failed dependencies:
                     libmysqlclient.so.10 is needed by php-mysql-4.0.3pl1-2 
     the mysql package (mysql-3.23.24-1) gives libmysqlclient.so.9 
     The older php-mysql-4.0.3pl1-1 still works though     

  2. while updating the php-ldap-4.0.3pl1-2 package, it gives error
error: failed dependencies:
        liblber.so.2 is needed by php-ldap-4.0.3pl1-2
        libldap.so.2 is needed by php-ldap-4.0.3pl1-2

Question: If i want to upgrade the above 2 packages, where can i find the
required dependencies.?
Comment 4 Nalin Dahyabhai 2000-11-02 17:15:23 EST
The packages were built using a Raw Hide build environment.  Now that I have
confirmation that this fixed it, I've pushed a rebuild into the 7.0 errata
system.  Packages now in http://people.redhat.com/nalin/test/ should have and
list the proper dependencies.
Comment 5 jefft 2000-11-02 20:38:25 EST
Hi, I'm having the same problem described in this bug, however, php-mysql-
4.0.3pl1-2 is still looking for libmysqlclient.so.10.

I don't see an updated mysql rpm on http://people.redhat.com/nalin/test. How 
can I satisfy the dependency for libmysqlclient.so.10?

Thanks,

Jeff Thompson
jefft@techie.com
Comment 6 Nalin Dahyabhai 2000-11-03 12:34:55 EST
Aargh.  It must have been compiled against the MySQL packages currently in the
pipeline.  Option 1 is to run "rpm --rebuild" on the .src.rpm for the php
package, which will generate binaries which use the library versions present on
the system they're built on.  Option 2 is to grab the MySQL packages from Raw
Hide (ftp://ftp.redhat.com/rawhide/), which should include the newer library by
now.
Comment 7 jefft 2000-11-03 13:35:53 EST
Thanks for the suggestions on how to work around the problem. I'd like to 
rebuild the RPM, but don't seem to be able to find the SRPM for php-mysql-
4.0.3pl1-2. Can you point me to a place that I can download the SRPM?

Thanks.
Comment 8 Nalin Dahyabhai 2000-11-03 14:47:18 EST
The PHP packages all build from a single source package.  They are only broken
apart when the binary packages are constructed from the compiled files. 
Rebuilding http://people.redhat.com/nalin/test/php-4.0.3pl1-2.src.rpm should be
sufficient.
Comment 9 jefft 2000-11-05 18:57:46 EST
Many thanks... the rpm --rebuild did the trick.
Comment 10 Nalin Dahyabhai 2000-11-06 14:56:59 EST
Verified as fixed in the latest errata candidate.
Comment 11 js 2001-01-12 06:48:50 EST
*** Bug 21751 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.